# openPilotLog: Entry_deprecated Class Reference

Entry_deprecated Class Reference

The Entry class is the base class for database entries. It can be seen as a row in a table within the database. More...

`#include <entry_deprecated.h>`

Inheritance diagram for Entry_deprecated:

## Public Member Functions

| Entry_deprecated (QString table, int row)
| Entry_deprecated (QString table, QMap< QString, QString > newData)
void | setData (QMap< QString, QString > &value)
bool | commit ()
bool | remove ()
bool | exists ()
void | print ()
QString | debug ()
| operator QString ()

## Public Attributes

QPair< QString, int > | position = QPair<QString, int>()
QVector< QString > | columns = QVector<QString>()
QMap< QString, QString > | data = QMap<QString, QString>()
QString | error = QString()

## Detailed Description

The Entry class is the base class for database entries. It can be seen as a row in a table within the database.

The documentation for this class was generated from the following files:

- src/database/entry_deprecated.h
- src/database/entry_deprecated.cpp